Subject: RE: [L1vpn] Issues and concerns about Basic Mode OSPF Discovery

From: "Don Fedyk" <[email-masked]>
Date: Wed, 10 May 2006 17:39:08 -0400

Hi Igor 

Some comments inline,

>Hi Yakov
>
>Please, see in line.
>
>Regards, Igor
>
>----- Original Message ----- From: "Yakov Rekhter"
><[email-masked]> To: "Adrian Farrel"
><[email-masked]> Cc: <[email-masked]> Sent: Wednesday, May 10, 
>2006 3:46 PM Subject: [L1vpn] Issues and concerns about Basic Mode OSPF

>Discovery
>
>
>> Adrian,
>>
>> > Here are the issues raised, in no particular order, with some 
>> > commentary from me. It would be good to have some discussion of 
>> > these points.
>> >
>> > 1. We need to have only one solution
>> >
>> > I'm inclined to agree with this. It is not helpful to the industry 
>> > to have two solutions in the same space.
>> > However, if there are significantly different applicabilities this 
>> > would be a justification.
>> >
>> > My interpretation of the discussion in Dallas was that we would not

>> > make this decision at this time.

[DF]We agreed to have functionally equivalent solutions. 

>> >
>> > 2. The L1VPN solution should be aligned with the L2/L3VPN solutions
>> >
>> > We need to be clear to what extent the Basic Mode discovery problem

>> > is the same as / different from the L3VPN problem.
[DF] In so far as the discovery provides similar information. IE Who is
in my VPN, who is active and how can I signal to them.

>> >
>> > 3. The Basic Mode discovery solution must extend to the Extended 
>> > Mode
>> >
>> > 4. There are scaling concerns with using OSPF in this way.
>> >
>> > A couple of comments on scaling.  - It is certainly safe to assume 
>> > that in the near term, the size of optical networks will not come 
>> > close to the current size of OSPF packet networks.  - OSPF used in 
>> > this way will not need to handle external routes, and this saving 
>> > more than outwieghs the cost of Basic Mode discovery - The 
>> > "per-port" nature of L1VPN connectivity means that there is no 
>> > multiplexing of VPNs to a CE-PE link (athough a single PE may give 
>> > access to multiple VPNs).
>> >
>> > 5. This is 'naturally' an iBGP function not an IGP function
>> >
>> > If there are more discussion points that I have dropped, please 
>> > feel free to raise them as well.
>>
>> We've yet to see how the OSPF approach would support anything other 
>> than a full mesh connectivity.
>>
>> And if the OSPF approach is limited to full-mesh only, then the OSPF 
>> spec must say so.
>
>IB>> I'd like to make a couple of points.
>
>1. I don't believe that we need more than full-mesh connectivity for 
>the basic mode; 2. I disagree that the OSPF approach is limited to 
>full-mesh. This is for future study, but one way to control the 
>connectivity on per L1VPN basis using OSPF is to introduce a TE link 
>attribute that would specify a subset of L1VPN IDs the link is 
>dedicated to, could be shared between or, on the contrary, forbidden to

>be used by. This information could be used on PEs while computing PE-PE

>segments for services that belong to various L1VPNs and, thus, 
>controlling the connectivity per L1VPN could be achieved.  Furthermore,

>such advertisements will be very useful when we start  doing the 
>extended mode
>- Per VPN Routing model, for example,  requires leaking some 
>information about provider links on per VPN basis. In order to 
>accomplish this, PEs must learn somehow which provider links belong to 
>which L1VPNs. This could be easily achieved by the OSPF approach, and, 
>frankly, I don't know how it could be done via BGP.

[DF]Igor I think you are pointing out a limitation of the link
attributes not an Auto-discovery problem.  I think we need to separate
the two concepts. Link membership in VPNs (or vice versa ) is different
than discovering which addresses of the attached devices are associated
with which provider nodes.  That is not to say that this is not
important information for a VPN but I think Auto discovery should be
Resource agnostic. 

Don 

>Igor
>> Yakov

_______________________________________________
L1vpn mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/l1vpn

---

From: "Igor Bryskin" <[email-masked]>
Date: Wed, 10 May 2006 17:45:22 -0400

Don,

The discussion (as I understand it) here is about whether OSPF approach can
support only full-mesh connectivity for all L1VPNs or it is possible to
control the connectivity on per VPN basis. I believe the latter is possible.

Igor

----- Original Message ----- 
From: "Don Fedyk" <[email-masked]>
To: "Igor Bryskin" <[email-masked]>; "Adrian Farrel"
<[email-masked]>; "Yakov Rekhter" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, May 10, 2006 5:39 PM
Subject: RE: [L1vpn] Issues and concerns about Basic Mode OSPF Discovery

Hi Igor

Some comments inline,

Don